[Nagiosplug-devel] [ nagiosplug-Bugs-3614879 ] Incocistencies between plugins versions

SourceForge.net noreply at sourceforge.net
Tue Aug 6 08:35:40 UTC 2013


Bugs item #3614879, was opened at 2013-08-06 01:15
Message generated for change (Settings changed) made by hweiss
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=397597&aid=3614879&group_id=29880

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: General plugin execution
Group: None
Status: Open
Resolution: None
Priority: 5
Private: No
Submitted By: Simon Kainz (simonkainz)
>Assigned to: Holger Weiss (hweiss)
Summary: Incocistencies between plugins versions

Initial Comment:
I took nagios-plugins from github and noticed the following: Using version 1.4.16.89.gbfe6, the processing of waring/critical ranges in check_snmp seems to be broken. 

OS: Debian Wheezy 64bit
Compiler: 6cc

I built all 3 versions by myself from source.

I uses these 3 versions for a test:

$ for i in nagios-plugins-1.4.15 nagios-plugins-1.4.16 nagios-plugins; do $i/plugins/check_snmp -P 2c -c public -H <printerip> -o .1.3.6.1.2.1.43.18.1.1.7.1.1 -w 800:1200 -c 850:1150 -v -v -v -V ; done
check_snmp v1.4.15 (nagios-plugins 1.4.15)
check_snmp v1.4.16 (nagios-plugins 1.4.16)
check_snmp v1.4.16.89.gbfe6 (nagios-plugins 1.4.16)

Running those 3  results in the following:

$ for i in nagios-plugins-1.4.15 nagios-plugins-1.4.16 nagios-plugins; do $i/plugins/check_snmp -P 2c -c public -H <printerip> -o .1.3.6.1.2.1.43.18.1.1.7.1.1 -w 800:1200 -c 850:1150 -v -v -v ; done
/usr/bin/snmpget -t 1 -r 5 -m '' -v 2c [authpriv] 129.27.9.62:161 .1.3.6.1.2.1.43.18.1.1.7.1.1
iso.3.6.1.2.1.43.18.1.1.7.1.1 = INTEGER: 1104
Processing oid 1 (line 1)
  oidname: iso.3.6.1.2.1.43.18.1.1.7.1.1
  response:  = INTEGER: 1104
SNMP OK - 1104 | iso.3.6.1.2.1.43.18.1.1.7.1.1=1104 
/usr/bin/snmpget -t 1 -r 5 -m '' -v 2c [authpriv] 129.27.9.62:161 .1.3.6.1.2.1.43.18.1.1.7.1.1
iso.3.6.1.2.1.43.18.1.1.7.1.1 = INTEGER: 1104
Processing oid 1 (line 1)
  oidname: iso.3.6.1.2.1.43.18.1.1.7.1.1
  response:  = INTEGER: 1104
SNMP OK - 1104 | iso.3.6.1.2.1.43.18.1.1.7.1.1=1104 
/usr/bin/snmpget -t 1 -r 5 -m '' -v 2c [authpriv] 129.27.9.62:161 .1.3.6.1.2.1.43.18.1.1.7.1.1
iso.3.6.1.2.1.43.18.1.1.7.1.1 = INTEGER: 1104
Processing oid 1 (line 1)
  oidname: iso.3.6.1.2.1.43.18.1.1.7.1.1
  response:  = INTEGER: 1104
SNMP CRITICAL - *1104* | iso.3.6.1.2.1.43.18.1.1.7.1.1=1104


So the last plugin reports CRITIAL, altough the value reported lies perfectly withing the defined warning/critical ranges. 
Maybe I'm doing something wrong, but still seems like a bug to me.

Regards, Simon


----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=397597&aid=3614879&group_id=29880




More information about the Nagiosplugin-devel mailing list